create or replace library szamolLIB as
  'c:\app\Hallgato\product\11.2.0\dbhome_1\BIN\Szamol.dll';
/
create or replace function KulonbozoNapok(a in varchar2)
  return binary_integer
  as external
     library szamolLIB
     name "KulonbozoNapok"
     language C
     parameters (a string);
/
create or replace function MunkaidoS (a in varchar2)
  return varchar2
  as external
     library szamolLIB
     name "MunkaidoSzamitasS"
     language C
     parameters (a string);
/
create or replace function MunkaidoI(a in varchar2)
  return binary_integer
  as external
     library szamolLIB
     name "MunkaidoSzamitasI"
     language C
     parameters (a string);
/
create or replace function BerSzamitas(a in binary_integer, b in binary_integer, c in binary_integer, d in binary_integer)
  return binary_integer
  as external
     library szamolLIB
     name "BerSzamitas"
     language C
     parameters (a int, b int, c int, d int);
/